#
# spec file for package php5-memcache
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pkg_name memcache
%define conf_dir %{_sysconfdir}/php5/conf.d
%define ext_dir  %(%{__php_config} --extension-dir)
Name:           php5-memcache
Version:        3.0.8
Release:        14.1
Summary:        PHP Memcache client Extension
License:        PHP-3.01
Group:          Productivity/Networking/Web/Servers
Url:            http://pecl.php.net/package/memcache
Source0:        http://pecl.php.net/get/%{pkg_name}-%{version}.tgz
Source1:        %{pkg_name}.ini
Source2:        connect.inc
Patch0:         %{pkg_name}-faulty-inline.diff
BuildRequires:  memcached
BuildRequires:  php5-devel
%if 0%{?suse_version} > 1110
BuildRequires:  sysvinit-tools
%endif
BuildRequires:  zlib-devel
Requires:       php(api) = %{php_core_api}
Requires:       php(zend-abi) = %{php_zend_api}
Provides:       php-memcache = %{version}
Obsoletes:      php-memcache < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Memcached is a caching daemon designed especially for dynamic web applications
to decrease database load by storing objects in memory.  This extension allows
you to work with memcached through handy OO and procedural interfaces.

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1

%build
CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
export CFLAGS
export CXXFLAGS

%{__phpize}
%configure --enable-memcache --with-pic
make %{?_smp_mflags}

%check
cp %{SOURCE2} tests/
install -d -m 0755 %{_localstatedir}/tmp/memcached/
%{_sbindir}/memcached -vv -p 11211 -U 11211 -d
%{_sbindir}/memcached -vv -p 11212 -U 11212 -d
%{_sbindir}/memcached -vv -s %{_localstatedir}/tmp/memcached/memcached.sock -a 777 -d
sleep 5
make PHP_EXECUTABLE=%{__php} NO_INTERACTION=1 test
/sbin/killproc -v -TERM %{_sbindir}/memcached

%install
make INSTALL_ROOT=%{buildroot} install
install -D -m 0644 %{SOURCE1} %{buildroot}%{conf_dir}/%{pkg_name}.ini

%files
%defattr(-,root,root)
%doc CREDITS LICENSE README example.php memcache.php
%{ext_dir}/%{pkg_name}.so
%config(noreplace) %{conf_dir}/%{pkg_name}.ini

%changelog
* Fri Jan 29 2016 pgajdos@suse.com
- provides php-memcache symbol
* Mon Apr  8 2013 munix9@googlemail.com
- update to version 3.0.8 (beta)
  * Fix Bug #63142 - memcache client Segmentation fault
  * Fix Bug #63272 - Explicitly reserve range of flags in php_memcache.h so application code can use
  * Fix Bug #59602 - getExtendedStats fails on the host intermittently after restarting memcache
  * Fix Bug #63141 - Added LICENSE file and include tests folder in package
- extended test (%%check) environment
* Thu Oct 18 2012 munix9@googlemail.com
- update to version 3.0.7
  * Fixed bug #62589 - missing "$" in memcache.php
  * Fix php_stream_cast() usage.
  * fixes for windows build and php 5.4 compat
* Fri May 25 2012 munix9@googlemail.com
- initial package for version 3.0.6
  * Fixed PECL Bug #16672 (memcache.php doesn't support unix socket)
  * Fixed PECL Bug #19374 (memcache.php throws Notice: Undefined index: VALUE when viewing expired items)
  * Fixed PECL Bug #17518 (Strange behavior in increment on non integer and after)
  * Fixed potential segfault in memcache queue.
  * Fixed various tests
